@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&family=Raleway&family=Roboto:wght@300&display=swap');
/* This is base style or regular style for everything */
* {
box-sizing: border-box;
padding: 0;
margin: 0;
}

body {
  font-family :'Open Sans',  sans-serif;
  background: #fff;
  color: #333;
  line-height: 1.6;
}

ul{
  list-style: none;
}

a {
  color: #333;
  text-decoration: none;
  
}

h1, h2 {
  font-weight: 300;
  line-height: 1.2;
}

p {
  margin: 10px 0;
}

img {
  width: 100%;
}

/* Navbar "using flex to make it responsive"*/

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #333;
  color:#fff;
  opacity: 0.8;
  width: 100%;
  height: 70px;
  position: fixed;
  top: 0px;
  padding: 0 30px;
  /* transition is javascript function */
  transition: 0.5s;
}

.navbar.top {
  background: transparent;

}

/* a is the link in the navbar */
.navbar a {
  color:#fff;
  padding: 10px 20px;
  margin: 0 5px;
}

.navbar a:hover {
  border-bottom: #28a745 2px solid;
}
.navbar ul{
  display: flex;
}

.navbar .logo{
  font-weight: 400;
}

/* Header */
.hero {
  background: url('../images/home/showcase.jpg') no-repeat center center/cover;
  height: 100vh;
  position: overlay;
  color: #fff;
}

.hero .content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 100%;
  padding: 0 20px;
}

.hero .content h1 {
  font-size: 55px;
  color: #fff;
}

.hero .content p {
  font-size: 23px;
  max-width: 600px;
  margin: 20px 0 30px;
}



/* this applies to anything in hero. it is used to push the texts n button forward after opacity was applied */

.hero *{

  /* Z index means pushing elements forward */

  z-index: 10;
}

.hero.blog {
  background: url('../images/home/blog.jpg') no-repeat center center/cover;
  height: 30vh;
}


/* icons class */

.icons {
  padding: 30px;
}

.icons h3{
  font-weight: bold;
  margin-bottom: 15px;
}

.icons i {
  background-color:#28a745;
  color:#fff;
  padding:1rem;
  border-radius: 50%;
}

.cases img:hover {
  opacity: 0.7;

}

.team img {
  border-radius: 50%;
}

/* callback form */
.callback-form {
  width: 100%;
  padding: 20px 0;
}

.callback-form label {
  display: block;
  margin-bottom: 5px;
}

.callback-form .form-control {
  margin-bottom: 15px;
}

.callback-form input{
  width: 100%;
  padding: 4px;
  height: 40px;
  border: #f5f5f5 1px solid;
}

.callback-form input:focus {
  outline-color: #28a745;
}
.callback-form .btn{
  padding: 12px 0;
  margin-top: 20px;
}

 /* Post */
.post h2{
  font-size: 40px;
  margin-bottom: 20px ;
  padding-bottom: 10px;
  border-bottom: #ccc solid 1px;
}

.post {
  padding: 50px 30px;
}

.post .meta {
  margin-bottom: 30px;
}

.post img {
  width: 300px;
  border-radius: 50%;
  display: block;
  margin: 0 auto 30px;
}
/* Footer */
.footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 200px;
}

.footer a {
  color: #fff;
}

.footer a:hover {
  color: #28a745;
}


/* This command " > * " is for anything within the parent element */
.footer .social > * {
margin-right: 30px;
}

/* Mobile only applies to mobile devices*/
@media(max-width: 768px) {
  .navbar {
   flex-direction: column;
    height: 120px;
    padding: 20px;
  }

  .navbar a {
    padding: 10px 10px;
    margin: 0 3px;
  }

  .flex-items {
    flex-direction: column;
  }

  .flex-columns  .column, .flex-grid .column {
    flex: 100%;
    max-width: 100%;
  }

  .team img {
    width: 70%;
  }
}




